bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

coreutils-8.3: test failed: ls/stat-dtype and touch/no-dereference


From: Voelker, Bernhard
Subject: coreutils-8.3: test failed: ls/stat-dtype and touch/no-dereference
Date: Fri, 8 Jan 2010 15:40:57 +0100

Hello,

`make check` failed for 2 of 357 tests here:

  openSUSE 10.3 (X86-64) (inside a 1&1 hosted virtual machine)
  kernel 2.6.9-023stab051.3-smp
  gcc 4.2.1
  CPU: Quad-Core AMD Opteron(tm) Processor 2352


FAIL: ls/stat-dtype (exit: 1)
============================= 
 
+ ls --version
ls (GNU coreutils) 8.3
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
 
Written by Richard M. Stallman and David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/berny/depot/coreutils-8.3/tests
+++ this_test_
+++ echo ././ls/stat-dtype
+++ sed 's,.*/,,'
++ this_test=stat-dtype
+++ /home/berny/depot/coreutils-8.3/src/mktemp -d 
--tmp=/home/berny/depot/coreutils-8.3/tests cu-stat-dtype.XXXXXXXXXX
++ t_=/home/berny/depot/coreutils-8.3/tests/cu-stat-dtype.xu5tbci0nd
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/berny/depot/coreutils-8.3/tests/cu-stat-dtype.xu5tbci0nd
++ diff --version
++ grep GNU
++ sanitize_path_
++ local 'saved_IFS=    
'
++ IFS=:
++ set -- /home/berny/depot/coreutils-8.3/src /home/berny/bin /usr/local/bin 
/usr/bin /bin /usr/X11R6/bin /usr/games /usr/lib/mit/bin /usr/lib/mit/sbin .
++ IFS='        
'
++ local d d1
++ local colon=
++ local new_path=
++ for d in '"$@"'
++ test -z /home/berny/depot/coreutils-8.3/src
++ d1=/home/berny/depot/coreutils-8.3/src
++ ls -d /home/berny/depot/coreutils-8.3/src/.
++ new_path=/home/berny/depot/coreutils-8.3/src
++ colon=:
++ for d in '"$@"'
++ test -z /home/berny/bin
++ d1=/home/berny/bin
++ ls -d /home/berny/bin/.
++ new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/local/bin
++ d1=/usr/local/bin
++ ls -d /usr/local/bin/.
++ new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/bin
++ d1=/usr/bin
++ ls -d /usr/bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin
++ colon=:
++ for d in '"$@"'
++ test -z /bin
++ d1=/bin
++ ls -d /bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/X11R6/bin
++ d1=/usr/X11R6/bin
++ ls -d /usr/X11R6/bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/games
++ d1=/usr/games
++ ls -d /usr/games/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games
++ colon=:
++ for d in '"$@"'
++ test -z /usr/lib/mit/bin
++ d1=/usr/lib/mit/bin
++ ls -d /usr/lib/mit/bin/.
++ for d in '"$@"'
++ test -z /usr/lib/mit/sbin
++ d1=/usr/lib/mit/sbin
++ ls -d /usr/lib/mit/sbin/.
++ for d in '"$@"'
++ test -z .
++ d1=.
++ ls -d ./.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:.
++ colon=:
++ 
PATH=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:.
++ export PATH
++ fail=0
+ mkdir -p c/d
+ chmod a-x c
++ ls -p c
+ test Xd/ '!=' Xd/
+ mkdir d
+ ln -s / d/s
+ chmod 600 d
+ mkdir -p e/a2345 e/b
+ chmod 600 e
+ ls --file-type d
ls: cannot access d/s: Permission denied
+ fail=1
+ cat
+ compare out exp
+ diff -u out exp
--- out 2010-01-08 15:17:22.000000000 +0100
+++ exp 2010-01-08 15:17:22.000000000 +0100
@@ -1 +1 @@
-s
+s@
+ fail=1
+ rm -f out exp
+ ls -CF e
+ printf 'a2345/\tb/\n'
+ compare out exp
+ diff -u out exp
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /home/berny/depot/coreutils-8.3/tests
+ chmod -R u+rwx /home/berny/depot/coreutils-8.3/tests/cu-stat-dtype.xu5tbci0nd
+ rm -rf /home/berny/depot/coreutils-8.3/tests/cu-stat-dtype.xu5tbci0nd
+ exit 1

FAIL: touch/no-dereference (exit: 1)
====================================

+ touch --version
touch (GNU coreutils) 8.3
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
David MacKenzie, and Randy Smith.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/home/berny/depot/coreutils-8.3/tests
+++ this_test_
+++ echo ././touch/no-dereference
+++ sed 's,.*/,,'
++ this_test=no-dereference
+++ /home/berny/depot/coreutils-8.3/src/mktemp -d 
--tmp=/home/berny/depot/coreutils-8.3/tests cu-no-dereference.XXXXXXXXXX
++ t_=/home/berny/depot/coreutils-8.3/tests/cu-no-dereference.LeY7VYdZzI
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /home/berny/depot/coreutils-8.3/tests/cu-no-dereference.LeY7VYdZzI
++ diff --version
++ grep GNU
++ sanitize_path_
++ local 'saved_IFS=    
'
++ IFS=:
++ set -- /home/berny/depot/coreutils-8.3/src /home/berny/bin /usr/local/bin 
/usr/bin /bin /usr/X11R6/bin /usr/games /usr/lib/mit/bin /usr/lib/mit/sbin .
++ IFS='        
'
++ local d d1
++ local colon=
++ local new_path=
++ for d in '"$@"'
++ test -z /home/berny/depot/coreutils-8.3/src
++ d1=/home/berny/depot/coreutils-8.3/src
++ ls -d /home/berny/depot/coreutils-8.3/src/.
++ new_path=/home/berny/depot/coreutils-8.3/src
++ colon=:
++ for d in '"$@"'
++ test -z /home/berny/bin
++ d1=/home/berny/bin
++ ls -d /home/berny/bin/.
++ new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/local/bin
++ d1=/usr/local/bin
++ ls -d /usr/local/bin/.
++ new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/bin
++ d1=/usr/bin
++ ls -d /usr/bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin
++ colon=:
++ for d in '"$@"'
++ test -z /bin
++ d1=/bin
++ ls -d /bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/X11R6/bin
++ d1=/usr/X11R6/bin
++ ls -d /usr/X11R6/bin/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
++ colon=:
++ for d in '"$@"'
++ test -z /usr/games
++ d1=/usr/games
++ ls -d /usr/games/.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games
++ colon=:
++ for d in '"$@"'
++ test -z /usr/lib/mit/bin
++ d1=/usr/lib/mit/bin
++ ls -d /usr/lib/mit/bin/.
++ for d in '"$@"'
++ test -z /usr/lib/mit/sbin
++ d1=/usr/lib/mit/sbin
++ ls -d /usr/lib/mit/sbin/.
++ for d in '"$@"'
++ test -z .
++ d1=.
++ ls -d ./.
++ 
new_path=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:.
++ colon=:
++ 
PATH=/home/berny/depot/coreutils-8.3/src:/home/berny/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/games:.
++ export PATH
++ fail=0
+ ln -s nowhere dangling
+ touch file
+ ln -s file link
+ touch -h no-file
+ test -s err
+ touch -h -c no-file
+ test -s err
+ touch -h file
+ touch -h -r dangling file
+ test -f nowhere
+ grep '^#define HAVE_UTIMENSAT' /home/berny/depot/coreutils-8.3/lib/config.h
+ touch -h dangling
touch: setting times of `dangling': Function not implemented
+ fail=1
+ test -f nowhere
+ touch -m -h -d 2009-10-10 link
touch: setting times of `link': Function not implemented
+ fail=1
+ case `stat --format=%y link` in
++ stat --format=%y link
+ fail=1
+ case `stat --format=%y file` in
++ stat --format=%y file
+ touch -h -
+ test=/home/berny/depot/coreutils-8.3/src/test
+ /home/berny/depot/coreutils-8.3/src/test -w /dev/stdout
+ /home/berny/depot/coreutils-8.3/src/test '!' -w /dev/stdout
+ touch -h -
touch: setting times of `-': Bad file descriptor
+ touch -h -c -
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /home/berny/depot/coreutils-8.3/tests
+ chmod -R u+rwx 
/home/berny/depot/coreutils-8.3/tests/cu-no-dereference.LeY7VYdZzI
+ rm -rf /home/berny/depot/coreutils-8.3/tests/cu-no-dereference.LeY7VYdZzI
+ exit 1


Need more?

Have a nice day,
Berny



reply via email to

[Prev in Thread] Current Thread [Next in Thread]